package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.bo.ZEnginMaterialQualityBo;
import com.ruoyi.zdsz.domain.vo.WasteMaterialVo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringWasteMaterialVo;

import java.util.List;
import java.util.Map;

/**
 * 四大工程 耗材统计
 *
 * @author ruoyi
 * @date 2024-01-02
 */
public interface IZEngineeringWasteMaterialService {

    ZEngineeringWasteMaterialVo queryEngineeringIndustry(String id);
    ZEngineeringWasteMaterialVo queryEngineeringMunicipal(String id);
    ZEngineeringWasteMaterialVo queryEngineeringPipeJacking(String id);
    ZEngineeringWasteMaterialVo queryTouchOperationEngineering(String id);

    List<WasteMaterialVo> engineeringIndustryList(ZEnginMaterialQualityBo bo);
    List<Map> engineeringMunicipalList(ZEnginMaterialQualityBo bo);
    List<Map> engineeringPipeJackingList(ZEnginMaterialQualityBo bo);
    List<Map> engineeringInfrastructureList(ZEnginMaterialQualityBo bo);
}
